> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Portfolio Group Updates



## OpenAPI

````yaml /api-reference/openapi.json get /portfolio/groups/{group_id}/updates
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /portfolio/groups/{group_id}/updates:
    get:
      tags:
        - Portfolio Monitoring
      summary: Get Portfolio Group Updates
      operationId: get_portfolio_group_updates_portfolio_groups__group_id__updates_get
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Group Id
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: q
            description: >-
              The query param. Can be a business name, person name, business_id,
              person_id, or a type (business or person). If it is a business id
              or a person id (UUID), it will be used to search by id. If it is a
              business name or a person name, it will be used to search by name
              (case-insensitive). If it is a type (business or person), it will
              be used to search by type. If it is not provided, all portfolio
              updates will be returned.
          description: >-
            The query param. Can be a business name, person name, business_id,
            person_id, or a type (business or person). If it is a business id or
            a person id (UUID), it will be used to search by id. If it is a
            business name or a person name, it will be used to search by name
            (case-insensitive). If it is a type (business or person), it will be
            used to search by type. If it is not provided, all portfolio updates
            will be returned.
        - name: attributes[]
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/NotifiableAttributes'
              - type: 'null'
            description: Filter by notification attributes
            title: Attributes[]
          description: Filter by notification attributes
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: >-
              Maximum number of records to return in a single page. Must be
              between 1 and 1000.
            default: 10
            title: Limit
          description: >-
            Maximum number of records to return in a single page. Must be
            between 1 and 1000.
        - name: offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: >-
              Number of records to skip from the beginning. Use 0 for the first
              page. Cannot be used with cursor.
            title: Offset
          description: >-
            Number of records to skip from the beginning. Use 0 for the first
            page. Cannot be used with cursor.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Opaque pagination cursor token that identifies the position in the
              result set. Use the cursor from the previous response to get the
              next page. Cannot be used with offset.
            title: Cursor
          description: >-
            Opaque pagination cursor token that identifies the position in the
            result set. Use the cursor from the previous response to get the
            next page. Cannot be used with offset.
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: 'Filter records created on or after this date (format: YYYY-MM-DD).'
            title: Start Date
          description: 'Filter records created on or after this date (format: YYYY-MM-DD).'
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: >-
              Filter records created on or before this date (format:
              YYYY-MM-DD).
            title: End Date
          description: 'Filter records created on or before this date (format: YYYY-MM-DD).'
        - name: tz
          in: query
          required: false
          schema:
            type: string
            description: >-
              IANA timezone identifier used to interpret start_date and end_date
              (defaults to UTC).
            examples:
              - UTC
              - America/Los_Angeles
              - Europe/London
            default: UTC
            title: Tz
          description: >-
            IANA timezone identifier used to interpret start_date and end_date
            (defaults to UTC).
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.PortfolioItemUpdateResponse'
            application/vnd.baselayer.v1+json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.PortfolioItemUpdateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    NotifiableAttributes:
      enum:
        - registration_health
        - new_registrations
        - addresses
        - officers
        - alternative_names
        - kyb_score
        - risk_score
        - identity_network
        - pep
        - ofac
        - liens
        - litigations
        - bankruptcies
        - website_analysis
      type: string
    v1.PortfolioItemUpdateResponse:
      description: Represents a portfolio item update.
      properties:
        item:
          $ref: '#/components/schemas/v1.PortfolioItemSummaryResponse'
          description: The portfolio item that was updated.
        from_snapshot_id:
          description: The unique identifier of the from snapshot.
          format: uuid
          title: From Snapshot Id
          type: string
        to_snapshot_id:
          description: The unique identifier of the to snapshot.
          format: uuid
          title: To Snapshot Id
          type: string
        change_count:
          description: The number of changes in the portfolio item update.
          title: Change Count
          type: integer
        notification_count:
          description: The number of notifications in the portfolio item update.
          title: Notification Count
          type: integer
        notification_summaries:
          description: The notification summaries in the portfolio item update.
          items:
            $ref: '#/components/schemas/v1.PortfolioItemNotificationSummary'
          title: Notification Summaries
          type: array
        created_at:
          description: When the portfolio item update was created.
          format: date-time
          title: Created At
          type: string
        item_url:
          readOnly: true
          title: Item Url
          type: string
        from_snapshot_url:
          readOnly: true
          title: From Snapshot Url
          type: string
        to_snapshot_url:
          readOnly: true
          title: To Snapshot Url
          type: string
        diff_url:
          readOnly: true
          title: Diff Url
          type: string
        notifications_url:
          readOnly: true
          title: Notifications Url
          type: string
        notifications:
          description: >-
            Generate notifications from the JSON patch data without expensive
            diffing.


            This uses the pre-computed json_patch data to create a
            PortfolioItemSnapshotDiff

            and then generates notifications from it, avoiding the expensive
            diff operation.
          items:
            $ref: '#/components/schemas/v1.PortfolioMonitoringNotificationResponse'
          readOnly: true
          title: Notifications
          type: array
      required:
        - item
        - from_snapshot_id
        - to_snapshot_id
        - change_count
        - notification_count
        - notification_summaries
        - created_at
        - item_url
        - from_snapshot_url
        - to_snapshot_url
        - diff_url
        - notifications_url
        - notifications
      title: PortfolioItemUpdateResponse (v1)
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.PortfolioItemSummaryResponse:
      description: >-
        Portfolio item summary response - either Business or Person based on the
        item type.


        This is a discriminated union that selects the appropriate response type

        based on the `type` field.
      discriminator:
        mapping:
          Business:
            $ref: '#/components/schemas/v1.BusinessPortfolioItemSummaryResponse'
          Person:
            $ref: '#/components/schemas/v1.PersonPortfolioItemSummaryResponse'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/v1.BusinessPortfolioItemSummaryResponse'
        - $ref: '#/components/schemas/v1.PersonPortfolioItemSummaryResponse'
      title: PortfolioItemSummaryResponse
    v1.PortfolioItemNotificationSummary:
      properties:
        attribute:
          enum:
            - registration_health
            - new_registrations
            - addresses
            - officers
            - alternative_names
            - kyb_score
            - risk_score
            - identity_network
            - pep
            - ofac
            - liens
            - litigations
            - bankruptcies
            - website_analysis
          type: string
        count:
          title: Count
          type: integer
      required:
        - attribute
        - count
      title: PortfolioItemNotificationSummary
      type: object
    v1.PortfolioMonitoringNotificationResponse:
      description: Represents a notification for a portfolio item.
      properties:
        message:
          $ref: '#/components/schemas/v1.StructuredText'
          description: The message of the notification.
        notifiable_attribute:
          $ref: '#/components/schemas/v1.NotifiableAttributes'
          description: The attribute that triggered the notification.
      required:
        - message
        - notifiable_attribute
      title: PortfolioMonitoringNotificationResponse (v1)
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    v1.BusinessPortfolioItemSummaryResponse:
      description: Represents a summary of a business portfolio item.
      properties:
        id:
          description: The unique identifier of the portfolio item.
          format: uuid
          title: Id
          type: string
        search_id:
          description: >-
            The unique identifier of the search that the portfolio item is based
            on.
          examples:
            - c623e29e-1f57-11ef-938f-1edb1b067314
          format: uuid
          title: Search Id
          type: string
        name:
          description: The name of the portfolio item.
          title: Name
          type: string
        group_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          default: null
          description: The unique identifier of the portfolio group.
          title: Group Id
        user:
          anyOf:
            - $ref: '#/components/schemas/v1.UserAttributionResponse'
            - type: 'null'
          default: null
          description: The user who created the portfolio item.
        created_at:
          description: The timestamp of when the portfolio item was created.
          format: date-time
          title: Created At
          type: string
        type:
          const: Business
          description: The type of the portfolio item.
          title: Type
          type: string
        business_id:
          description: The UUID of the business associated with the portfolio item.
          examples:
            - ede786f3-33ae-4894-843d-af2025f1d5b0
          format: uuid
          title: Business Id
          type: string
        business_url:
          description: The URL to the business details.
          format: uri
          maxLength: 2083
          minLength: 1
          title: Business Url
          type: string
        item_url:
          readOnly: true
          title: Item Url
          type: string
        group_url:
          anyOf:
            - type: string
            - type: 'null'
          readOnly: true
          title: Group Url
        console_url:
          readOnly: true
          title: Console Url
          type: string
      required:
        - id
        - search_id
        - name
        - created_at
        - type
        - business_id
        - business_url
        - item_url
        - group_url
        - console_url
      title: BusinessPortfolioItemSummaryResponse (v1)
      type: object
    v1.PersonPortfolioItemSummaryResponse:
      description: Represents a summary of a person portfolio item.
      properties:
        id:
          description: The unique identifier of the portfolio item.
          format: uuid
          title: Id
          type: string
        search_id:
          description: >-
            The unique identifier of the search that the portfolio item is based
            on.
          examples:
            - c623e29e-1f57-11ef-938f-1edb1b067314
          format: uuid
          title: Search Id
          type: string
        name:
          description: The name of the portfolio item.
          title: Name
          type: string
        group_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          default: null
          description: The unique identifier of the portfolio group.
          title: Group Id
        user:
          anyOf:
            - $ref: '#/components/schemas/v1.UserAttributionResponse'
            - type: 'null'
          default: null
          description: The user who created the portfolio item.
        created_at:
          description: The timestamp of when the portfolio item was created.
          format: date-time
          title: Created At
          type: string
        type:
          const: Person
          description: The type of the portfolio item.
          title: Type
          type: string
        person_id:
          description: The UUID of the person associated with the portfolio item.
          examples:
            - ede786f3-33ae-4894-843d-af2025f1d5b0
          format: uuid
          title: Person Id
          type: string
        person_url:
          description: The URL to the person details.
          format: uri
          maxLength: 2083
          minLength: 1
          title: Person Url
          type: string
        item_url:
          readOnly: true
          title: Item Url
          type: string
        group_url:
          anyOf:
            - type: string
            - type: 'null'
          readOnly: true
          title: Group Url
        console_url:
          readOnly: true
          title: Console Url
          type: string
      required:
        - id
        - search_id
        - name
        - created_at
        - type
        - person_id
        - person_url
        - item_url
        - group_url
        - console_url
      title: PersonPortfolioItemSummaryResponse (v1)
      type: object
    v1.StructuredText:
      description: >-
        This class represents a structured text in the application.


        StructuredText is used to annotate individual parts of the text with
        semantic types.

        This is helpful to the UI for stylized rendering. It provides a way to
        structure

        the text in a way that can be easily understood and manipulated by the
        UI.
      properties:
        components:
          description: >-
            The structured text annotates individual parts of the text with
            semantic types, which is helpful to the UI for stylized rendering.
          items:
            $ref: '#/components/schemas/v1.TextComponent'
          title: An array of components that form the structured text
          type: array
        text:
          description: >-
            The same content as found in the components, but without any
            styling.
          readOnly: true
          title: A plain text representation of the content
          type: string
      required:
        - components
        - text
      title: StructuredText (v1)
      type: object
    v1.NotifiableAttributes:
      enum:
        - registration_health
        - new_registrations
        - addresses
        - officers
        - alternative_names
        - kyb_score
        - risk_score
        - identity_network
        - pep
        - ofac
        - liens
        - litigations
        - bankruptcies
        - website_analysis
      type: string
    v1.UserAttributionResponse:
      description: |-
        Response model for user attribution operations.

        This model defines the structure for user attribution API responses.
      properties:
        id:
          description: Unique identifier for the user.
          format: uuid
          title: Id
          type: string
        first_name:
          description: First name of the user.
          examples:
            - Austin
          title: First Name
          type: string
        last_name:
          description: Last name of the user.
          examples:
            - Taylor
          title: Last Name
          type: string
        email:
          description: Email address of the user.
          examples:
            - jessicasimpson@example.com
          title: Email
          type: string
      required:
        - id
        - first_name
        - last_name
        - email
      title: UserAttributionResponse (v1)
      type: object
    v1.TextComponent:
      description: >-
        A TextComponent is a segment of text with a semantic type and optional
        hyperlink.


        It is used to structure and annotate text in a way that can be helpful
        for

        stylized rendering in a UI without forcing a particular style.


        Each TextComponent has a type (subject, value, state, etc.),

        the actual text content, and an optional URL that points to the entity
        the text describes.
      properties:
        type:
          $ref: '#/components/schemas/v1.SemanticType'
          description: The text component can describe subjects, values, states and more.
          title: The semantic type of the text component
        text:
          description: >-
            This is the text part that composes the whole sentence within the
            StructuredText.
          title: The actual string content of the text component
          type: string
        for:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            The entity that the text describes. When present, it points to the
            entity that the text describes.
          title: The entity that the text describes.
        url:
          anyOf:
            - description: When present, it points to the entity that the text describes.
              format: uri
              minLength: 1
              title: Hyperlink to the entity
              type: string
            - description: When not present, the text is presented in regular format.
              title: No hyperlink provided.
              type: 'null'
          default: null
          title: Url
      required:
        - type
        - text
      title: TextComponent (v1)
      type: object
    v1.SemanticType:
      description: >-
        SemanticType is an enumeration of the different types of semantic
        segments

        that a text can have. It is used to structure and annotate text in a way

        that can be helpful for stylized rendering in a UI, without forcing a

        particular style.
      enum:
        - regular
        - subject
        - value
        - label
        - actor
      title: SemanticType
      type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````